// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		5A1986F72996436500FA0471 /* OverheadAllocation.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A1986F62996436500FA0471 /* OverheadAllocation.swift */; };
		5A1986F92996436D00FA0471 /* MoveMoney.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A1986F82996436D00FA0471 /* MoveMoney.swift */; };
		5A1986FB2996502C00FA0471 /* FileButtonSelector.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A1986FA2996502C00FA0471 /* FileButtonSelector.swift */; };
		5A450751298CE6D500E3D402 /* CsvDocument.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A450750298CE6D500E3D402 /* CsvDocument.swift */; };
		5A45075B298D01EF00E3D402 /* libcoster_rs.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 5A45075A298D01EF00E3D402 /* libcoster_rs.a */; };
		5A53D5742BE4B4FB00563893 /* FileNodeView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A53D5732BE4B4FB00563893 /* FileNodeView.swift */; };
		5A53D5772BE4B98300563893 /* SwiftCSV in Frameworks */ = {isa = PBXBuildFile; productRef = 5A53D5762BE4B98300563893 /* SwiftCSV */; };
		5A53D5792BE4C0C300563893 /* CsvEditor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A53D5782BE4C0C300563893 /* CsvEditor.swift */; };
		5A53D57B2BE4C1D400563893 /* OutputFilesView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A53D57A2BE4C1D400563893 /* OutputFilesView.swift */; };
		5A53D5822BE507AD00563893 /* ChartEditor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A53D5812BE507AD00563893 /* ChartEditor.swift */; };
		5A53D5842BE507FF00563893 /* ChartView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A53D5832BE507FF00563893 /* ChartView.swift */; };
		5A53D5892BE5182C00563893 /* Tasks.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A53D5882BE5182C00563893 /* Tasks.swift */; };
		5A53D58B2BE518CA00563893 /* Graph.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5A53D58A2BE518CA00563893 /* Graph.swift */; };
		5ADD9F2D298A713300F998F5 /* FastCosterApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5ADD9F2C298A713300F998F5 /* FastCosterApp.swift */; };
		5ADD9F2F298A713300F998F5 /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5ADD9F2E298A713300F998F5 /* ContentView.swift */; };
		5ADD9F31298A713400F998F5 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5ADD9F30298A713400F998F5 /* Assets.xcassets */; };
		5ADD9F35298A713400F998F5 /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5ADD9F34298A713400F998F5 /* Preview Assets.xcassets */; };
		5ADD9F3F298A713400F998F5 /* FastCosterTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5ADD9F3E298A713400F998F5 /* FastCosterTests.swift */; };
		5ADD9F49298A713400F998F5 /* FastCosterUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5ADD9F48298A713400F998F5 /* FastCosterUITests.swift */; };
		5ADD9F4B298A713400F998F5 /* FastCosterUITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5ADD9F4A298A713400F998F5 /* FastCosterUITestsLaunchTests.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		5ADD9F3B298A713400F998F5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 5ADD9F21298A713300F998F5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 5ADD9F28298A713300F998F5;
			remoteInfo = FastCoster;
		};
		5ADD9F45298A713400F998F5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 5ADD9F21298A713300F998F5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 5ADD9F28298A713300F998F5;
			remoteInfo = FastCoster;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		5A1986F62996436500FA0471 /* OverheadAllocation.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OverheadAllocation.swift; sourceTree = "<group>"; };
		5A1986F82996436D00FA0471 /* MoveMoney.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MoveMoney.swift; sourceTree = "<group>"; };
		5A1986FA2996502C00FA0471 /* FileButtonSelector.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FileButtonSelector.swift; sourceTree = "<group>"; };
		5A1986FD29965BED00FA0471 /* coster.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; name = coster.h; path = ../../coster.h; sourceTree = "<group>"; };
		5A450750298CE6D500E3D402 /* CsvDocument.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CsvDocument.swift; sourceTree = "<group>"; };
		5A450754298CFFAB00E3D402 /* coster-bridge.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "coster-bridge.h"; sourceTree = "<group>"; };
		5A450755298CFFE400E3D402 /* create-lib.sh */ = {isa = PBXFileReference; lastKnownFileType = text.script.sh; path = "create-lib.sh"; sourceTree = "<group>"; };
		5A450756298D00AE00E3D402 /* remove-lib.sh */ = {isa = PBXFileReference; lastKnownFileType = text.script.sh; path = "remove-lib.sh"; sourceTree = "<group>"; };
		5A45075A298D01EF00E3D402 /* libcoster_rs.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libcoster_rs.a; path = "../costerrs/target/aarch64-apple-ios/release/libcoster_rs.a"; sourceTree = "<group>"; };
		5A53D5732BE4B4FB00563893 /* FileNodeView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FileNodeView.swift; sourceTree = "<group>"; };
		5A53D5782BE4C0C300563893 /* CsvEditor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CsvEditor.swift; sourceTree = "<group>"; };
		5A53D57A2BE4C1D400563893 /* OutputFilesView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OutputFilesView.swift; sourceTree = "<group>"; };
		5A53D5812BE507AD00563893 /* ChartEditor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChartEditor.swift; sourceTree = "<group>"; };
		5A53D5832BE507FF00563893 /* ChartView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChartView.swift; sourceTree = "<group>"; };
		5A53D5882BE5182C00563893 /* Tasks.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Tasks.swift; sourceTree = "<group>"; };
		5A53D58A2BE518CA00563893 /* Graph.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Graph.swift; sourceTree = "<group>"; };
		5ADD9F29298A713300F998F5 /* FastCoster.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = FastCoster.app; sourceTree = BUILT_PRODUCTS_DIR; };
		5ADD9F2C298A713300F998F5 /* FastCosterApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FastCosterApp.swift; sourceTree = "<group>"; };
		5ADD9F2E298A713300F998F5 /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		5ADD9F30298A713400F998F5 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		5ADD9F32298A713400F998F5 /* FastCoster.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = FastCoster.entitlements; sourceTree = "<group>"; };
		5ADD9F34298A713400F998F5 /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		5ADD9F3A298A713400F998F5 /* FastCosterTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = FastCosterTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		5ADD9F3E298A713400F998F5 /* FastCosterTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FastCosterTests.swift; sourceTree = "<group>"; };
		5ADD9F44298A713400F998F5 /* FastCosterUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = FastCosterUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		5ADD9F48298A713400F998F5 /* FastCosterUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FastCosterUITests.swift; sourceTree = "<group>"; };
		5ADD9F4A298A713400F998F5 /* FastCosterUITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FastCosterUITestsLaunchTests.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		5ADD9F26298A713300F998F5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5A45075B298D01EF00E3D402 /* libcoster_rs.a in Frameworks */,
				5A53D5772BE4B98300563893 /* SwiftCSV in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5ADD9F37298A713400F998F5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5ADD9F41298A713400F998F5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		5A450752298CFEF600E3D402 /* CosterRs */ = {
			isa = PBXGroup;
			children = (
				5A450754298CFFAB00E3D402 /* coster-bridge.h */,
				5A1986FD29965BED00FA0471 /* coster.h */,
				5A450755298CFFE400E3D402 /* create-lib.sh */,
				5A450756298D00AE00E3D402 /* remove-lib.sh */,
			);
			path = CosterRs;
			sourceTree = "<group>";
		};
		5A450759298D01EF00E3D402 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				5A45075A298D01EF00E3D402 /* libcoster_rs.a */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		5A53D5802BE4C26A00563893 /* Charts */ = {
			isa = PBXGroup;
			children = (
				5A53D5812BE507AD00563893 /* ChartEditor.swift */,
				5A53D5832BE507FF00563893 /* ChartView.swift */,
			);
			path = Charts;
			sourceTree = "<group>";
		};
		5A53D5852BE50C7B00563893 /* Model */ = {
			isa = PBXGroup;
			children = (
				5A53D5882BE5182C00563893 /* Tasks.swift */,
				5A53D58A2BE518CA00563893 /* Graph.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		5ADD9F20298A713300F998F5 = {
			isa = PBXGroup;
			children = (
				5A450752298CFEF600E3D402 /* CosterRs */,
				5ADD9F2B298A713300F998F5 /* FastCoster */,
				5ADD9F3D298A713400F998F5 /* FastCosterTests */,
				5ADD9F47298A713400F998F5 /* FastCosterUITests */,
				5ADD9F2A298A713300F998F5 /* Products */,
				5A450759298D01EF00E3D402 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		5ADD9F2A298A713300F998F5 /* Products */ = {
			isa = PBXGroup;
			children = (
				5ADD9F29298A713300F998F5 /* FastCoster.app */,
				5ADD9F3A298A713400F998F5 /* FastCosterTests.xctest */,
				5ADD9F44298A713400F998F5 /* FastCosterUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		5ADD9F2B298A713300F998F5 /* FastCoster */ = {
			isa = PBXGroup;
			children = (
				5A53D5852BE50C7B00563893 /* Model */,
				5A53D5802BE4C26A00563893 /* Charts */,
				5ADD9F2C298A713300F998F5 /* FastCosterApp.swift */,
				5ADD9F2E298A713300F998F5 /* ContentView.swift */,
				5ADD9F30298A713400F998F5 /* Assets.xcassets */,
				5ADD9F32298A713400F998F5 /* FastCoster.entitlements */,
				5ADD9F33298A713400F998F5 /* Preview Content */,
				5A450750298CE6D500E3D402 /* CsvDocument.swift */,
				5A1986F62996436500FA0471 /* OverheadAllocation.swift */,
				5A1986F82996436D00FA0471 /* MoveMoney.swift */,
				5A1986FA2996502C00FA0471 /* FileButtonSelector.swift */,
				5A53D5732BE4B4FB00563893 /* FileNodeView.swift */,
				5A53D5782BE4C0C300563893 /* CsvEditor.swift */,
				5A53D57A2BE4C1D400563893 /* OutputFilesView.swift */,
			);
			path = FastCoster;
			sourceTree = "<group>";
		};
		5ADD9F33298A713400F998F5 /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				5ADD9F34298A713400F998F5 /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		5ADD9F3D298A713400F998F5 /* FastCosterTests */ = {
			isa = PBXGroup;
			children = (
				5ADD9F3E298A713400F998F5 /* FastCosterTests.swift */,
			);
			path = FastCosterTests;
			sourceTree = "<group>";
		};
		5ADD9F47298A713400F998F5 /* FastCosterUITests */ = {
			isa = PBXGroup;
			children = (
				5ADD9F48298A713400F998F5 /* FastCosterUITests.swift */,
				5ADD9F4A298A713400F998F5 /* FastCosterUITestsLaunchTests.swift */,
			);
			path = FastCosterUITests;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5ADD9F28298A713300F998F5 /* FastCoster */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5ADD9F4E298A713400F998F5 /* Build configuration list for PBXNativeTarget "FastCoster" */;
			buildPhases = (
				5A450757298D010E00E3D402 /* Create Rust Lib */,
				5ADD9F25298A713300F998F5 /* Sources */,
				5ADD9F26298A713300F998F5 /* Frameworks */,
				5ADD9F27298A713300F998F5 /* Resources */,
				5A450758298D014E00E3D402 /* Remove Rust Lib */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = FastCoster;
			packageProductDependencies = (
				5A53D5762BE4B98300563893 /* SwiftCSV */,
			);
			productName = FastCoster;
			productReference = 5ADD9F29298A713300F998F5 /* FastCoster.app */;
			productType = "com.apple.product-type.application";
		};
		5ADD9F39298A713400F998F5 /* FastCosterTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5ADD9F51298A713400F998F5 /* Build configuration list for PBXNativeTarget "FastCosterTests" */;
			buildPhases = (
				5ADD9F36298A713400F998F5 /* Sources */,
				5ADD9F37298A713400F998F5 /* Frameworks */,
				5ADD9F38298A713400F998F5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				5ADD9F3C298A713400F998F5 /* PBXTargetDependency */,
			);
			name = FastCosterTests;
			productName = FastCosterTests;
			productReference = 5ADD9F3A298A713400F998F5 /* FastCosterTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		5ADD9F43298A713400F998F5 /* FastCosterUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5ADD9F54298A713400F998F5 /* Build configuration list for PBXNativeTarget "FastCosterUITests" */;
			buildPhases = (
				5ADD9F40298A713400F998F5 /* Sources */,
				5ADD9F41298A713400F998F5 /* Frameworks */,
				5ADD9F42298A713400F998F5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				5ADD9F46298A713400F998F5 /* PBXTargetDependency */,
			);
			name = FastCosterUITests;
			productName = FastCosterUITests;
			productReference = 5ADD9F44298A713400F998F5 /* FastCosterUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		5ADD9F21298A713300F998F5 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1420;
				LastUpgradeCheck = 1420;
				TargetAttributes = {
					5ADD9F28298A713300F998F5 = {
						CreatedOnToolsVersion = 14.2;
					};
					5ADD9F39298A713400F998F5 = {
						CreatedOnToolsVersion = 14.2;
						TestTargetID = 5ADD9F28298A713300F998F5;
					};
					5ADD9F43298A713400F998F5 = {
						CreatedOnToolsVersion = 14.2;
						TestTargetID = 5ADD9F28298A713300F998F5;
					};
				};
			};
			buildConfigurationList = 5ADD9F24298A713300F998F5 /* Build configuration list for PBXProject "FastCoster" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 5ADD9F20298A713300F998F5;
			packageReferences = (
				5A53D5752BE4B98300563893 /* XCRemoteSwiftPackageReference "SwiftCSV" */,
			);
			productRefGroup = 5ADD9F2A298A713300F998F5 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5ADD9F28298A713300F998F5 /* FastCoster */,
				5ADD9F39298A713400F998F5 /* FastCosterTests */,
				5ADD9F43298A713400F998F5 /* FastCosterUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5ADD9F27298A713300F998F5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5ADD9F35298A713400F998F5 /* Preview Assets.xcassets in Resources */,
				5ADD9F31298A713400F998F5 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5ADD9F38298A713400F998F5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5ADD9F42298A713400F998F5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		5A450757298D010E00E3D402 /* Create Rust Lib */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Create Rust Lib";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/libcoster_rs.a",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "source ${PROJECT_DIR}/CosterRs/create-lib.sh\n";
		};
		5A450758298D014E00E3D402 /* Remove Rust Lib */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 8;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Remove Rust Lib";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 1;
			shellPath = /bin/sh;
			shellScript = "source ${PROJECT_DIR}/CosterRs/remove-lib.sh\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5ADD9F25298A713300F998F5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5A1986FB2996502C00FA0471 /* FileButtonSelector.swift in Sources */,
				5A53D58B2BE518CA00563893 /* Graph.swift in Sources */,
				5ADD9F2F298A713300F998F5 /* ContentView.swift in Sources */,
				5A1986F92996436D00FA0471 /* MoveMoney.swift in Sources */,
				5A53D57B2BE4C1D400563893 /* OutputFilesView.swift in Sources */,
				5ADD9F2D298A713300F998F5 /* FastCosterApp.swift in Sources */,
				5A450751298CE6D500E3D402 /* CsvDocument.swift in Sources */,
				5A53D5822BE507AD00563893 /* ChartEditor.swift in Sources */,
				5A53D5842BE507FF00563893 /* ChartView.swift in Sources */,
				5A53D5792BE4C0C300563893 /* CsvEditor.swift in Sources */,
				5A53D5892BE5182C00563893 /* Tasks.swift in Sources */,
				5A1986F72996436500FA0471 /* OverheadAllocation.swift in Sources */,
				5A53D5742BE4B4FB00563893 /* FileNodeView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5ADD9F36298A713400F998F5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5ADD9F3F298A713400F998F5 /* FastCosterTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5ADD9F40298A713400F998F5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5ADD9F4B298A713400F998F5 /* FastCosterUITestsLaunchTests.swift in Sources */,
				5ADD9F49298A713400F998F5 /* FastCosterUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		5ADD9F3C298A713400F998F5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 5ADD9F28298A713300F998F5 /* FastCoster */;
			targetProxy = 5ADD9F3B298A713400F998F5 /* PBXContainerItemProxy */;
		};
		5ADD9F46298A713400F998F5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 5ADD9F28298A713300F998F5 /* FastCoster */;
			targetProxy = 5ADD9F45298A713400F998F5 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		5ADD9F4C298A713400F998F5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		5ADD9F4D298A713400F998F5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
			};
			name = Release;
		};
		5ADD9F4F298A713400F998F5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = FastCoster/FastCoster.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"FastCoster/Preview Content\"";
				DEVELOPMENT_TEAM = TM3BN8YBD9;
				ENABLE_HARDENED_RUNTIME = YES;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				"INFOPLIST_KEY_UIApplicationSceneManifest_Generation[sdk=iphoneos*]" = YES;
				"INFOPLIST_KEY_UIApplicationSceneManifest_Generation[sdk=iphonesimulator*]" = YES;
				"INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents[sdk=iphoneos*]" = YES;
				"INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents[sdk=iphonesimulator*]" = YES;
				"INFOPLIST_KEY_UILaunchScreen_Generation[sdk=iphoneos*]" = YES;
				"INFOPLIST_KEY_UILaunchScreen_Generation[sdk=iphonesimulator*]" = YES;
				"INFOPLIST_KEY_UIStatusBarStyle[sdk=iphoneos*]" = UIStatusBarStyleDefault;
				"INFOPLIST_KEY_UIStatusBarStyle[sdk=iphonesimulator*]" = UIStatusBarStyleDefault;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				LD_RUNPATH_SEARCH_PATHS = "@executable_path/Frameworks";
				"LD_RUNPATH_SEARCH_PATHS[sdk=macosx*]" = "@executable_path/../Frameworks";
				LIBRARY_SEARCH_PATHS = "${DERIVED_FILES_DIR}";
				"LIBRARY_SEARCH_PATHS[arch=*]" = "${DERIVED_FILES_DIR}";
				MACOSX_DEPLOYMENT_TARGET = 13.1;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.michaelpivato.FastCoster;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = auto;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator macosx";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "${PROJECT_DIR}/CosterRs/coster-bridge.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		5ADD9F50298A713400F998F5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = FastCoster/FastCoster.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"FastCoster/Preview Content\"";
				DEVELOPMENT_TEAM = TM3BN8YBD9;
				ENABLE_HARDENED_RUNTIME = YES;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				"INFOPLIST_KEY_UIApplicationSceneManifest_Generation[sdk=iphoneos*]" = YES;
				"INFOPLIST_KEY_UIApplicationSceneManifest_Generation[sdk=iphonesimulator*]" = YES;
				"INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents[sdk=iphoneos*]" = YES;
				"INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents[sdk=iphonesimulator*]" = YES;
				"INFOPLIST_KEY_UILaunchScreen_Generation[sdk=iphoneos*]" = YES;
				"INFOPLIST_KEY_UILaunchScreen_Generation[sdk=iphonesimulator*]" = YES;
				"INFOPLIST_KEY_UIStatusBarStyle[sdk=iphoneos*]" = UIStatusBarStyleDefault;
				"INFOPLIST_KEY_UIStatusBarStyle[sdk=iphonesimulator*]" = UIStatusBarStyleDefault;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				LD_RUNPATH_SEARCH_PATHS = "@executable_path/Frameworks";
				"LD_RUNPATH_SEARCH_PATHS[sdk=macosx*]" = "@executable_path/../Frameworks";
				"LIBRARY_SEARCH_PATHS[arch=*]" = "${DERIVED_FILES_DIR}";
				MACOSX_DEPLOYMENT_TARGET = 13.1;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.michaelpivato.FastCoster;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = auto;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator macosx";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "${PROJECT_DIR}/CosterRs/coster-bridge.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		5ADD9F52298A713400F998F5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TM3BN8YBD9;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MACOSX_DEPLOYMENT_TARGET = 13.1;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.Vato.FastCosterTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = auto;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator macosx";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/FastCoster.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/FastCoster";
			};
			name = Debug;
		};
		5ADD9F53298A713400F998F5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TM3BN8YBD9;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MACOSX_DEPLOYMENT_TARGET = 13.1;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.Vato.FastCosterTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = auto;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator macosx";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/FastCoster.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/FastCoster";
			};
			name = Release;
		};
		5ADD9F55298A713400F998F5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TM3BN8YBD9;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MACOSX_DEPLOYMENT_TARGET = 13.1;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.Vato.FastCosterUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = auto;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator macosx";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = FastCoster;
			};
			name = Debug;
		};
		5ADD9F56298A713400F998F5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = TM3BN8YBD9;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MACOSX_DEPLOYMENT_TARGET = 13.1;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.Vato.FastCosterUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = auto;
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator macosx";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = FastCoster;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5ADD9F24298A713300F998F5 /* Build configuration list for PBXProject "FastCoster" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5ADD9F4C298A713400F998F5 /* Debug */,
				5ADD9F4D298A713400F998F5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5ADD9F4E298A713400F998F5 /* Build configuration list for PBXNativeTarget "FastCoster" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5ADD9F4F298A713400F998F5 /* Debug */,
				5ADD9F50298A713400F998F5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5ADD9F51298A713400F998F5 /* Build configuration list for PBXNativeTarget "FastCosterTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5ADD9F52298A713400F998F5 /* Debug */,
				5ADD9F53298A713400F998F5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5ADD9F54298A713400F998F5 /* Build configuration list for PBXNativeTarget "FastCosterUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5ADD9F55298A713400F998F5 /* Debug */,
				5ADD9F56298A713400F998F5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		5A53D5752BE4B98300563893 /* XCRemoteSwiftPackageReference "SwiftCSV" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/swiftcsv/SwiftCSV.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 0.9.1;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		5A53D5762BE4B98300563893 /* SwiftCSV */ = {
			isa = XCSwiftPackageProductDependency;
			package = 5A53D5752BE4B98300563893 /* XCRemoteSwiftPackageReference "SwiftCSV" */;
			productName = SwiftCSV;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 5ADD9F21298A713300F998F5 /* Project object */;
}
